Call us: +86 0755-82563503

Currency: $ US Dollar

Items : %s%s

Coaxial Cables

Compare Image Name Manufacturer Pricing(USD) Quantity Weight(Kg) Size(LxWxH) Datasheet Factory Lead Time Mount Material Published Series Pbfree Code Part Status Moisture Sensitivity Level (MSL) Connector Type ECCN Code Max Operating Temperature Min Operating Temperature Color Gender ELV Length RoHS Status Lead Free Contact Material Contact Plating Voltage - Rated Current Rating Additional Feature Package / Case REACH SVHC Reach Compliance Code Frequency Impedance Operating Temperature Voltage - Rated DC Insulation Resistance Wire/Cable Gauge Lead Length Connector Type A Connector Type B Insulation Material Feature Polarity Style Cable Length Connector Support Type Wire/Cable Type Wire/Cable Diameter Conductor Material Dielectric Material Frequency (Max) 1st Connector 2nd Connector Cable Type Gender Type A Gender Type B
RFC-1622 RFC-1622 Quest Technology 0.0000
RFQ

Min: 1

Mult: 1

0.00000000
RFC-1844 RFC-1844 Quest Technology 0.0000
RFQ

Min: 1

Mult: 1

0.00000000
RFC-1415 RFC-1415 Quest Technology 0.0000
RFQ

Min: 1

Mult: 1

0.00000000
BU-P5697-240 BU-P5697-240 Mueller Electric Co 0.0000
RFQ

Min: 1

Mult: 1

0.00000000 download 3 Weeks 2013 Active 1 (Unlimited) 85°C -40°C Black Male to Male 240.0 6.1m 20.0' RoHS Compliant 50Ohms -40°C~85°C BNC, Plug BNC, Plug Shielded BNC to BNC BNC Male Plug BNC Male Plug RG-58C
BU-P2249-C-6 BU-P2249-C-6 Mueller Electric Co 0.0000
RFQ

Min: 1

Mult: 1

0.00000000 download 3 Weeks Cable Brass 2013 Active 1 (Unlimited) Black Male to Male 6.000 152.40mm RoHS Compliant 500V unknown 50Ohm -40°C~85°C 20 AWG 100mm BNC, Plug BNC, Plug PTFE Shielded BNC to BNC 152.4mm BNC Male Plug BNC Male Plug RG-58C Male
BU-P4970 BU-P4970 Mueller Electric Co 0.0000
RFQ

Min: 1

Mult: 1

0.00000000 download 2 Weeks Copper 2013 Active 1 (Unlimited) 105°C Black, Red Male to Cable 4.000 101.60mm RoHS Compliant Lead Free 500V 5A Unknown 55°C 500V 20 AWG 177.8mm BNC, Plug Coaxial PVC BNC to Cable 180mm BNC Male Plug Coaxial Cables, 2 Positions 20 AWG Female
73-6363-6 73-6363-6 Emerson Aim-Cambridge 0.0000
RFQ

Min: 1

Mult: 1

0.00000000
RCA-10-60 RCA-10-60 Remington Industries 0.0000
RFQ

Min: 1

Mult: 1

0.00000000 download Active 1 (Unlimited) Male to Male 60.0 1.5m 5.0' RoHS Compliant 78Ohms -55°C~165°C Shielded TRB to TRB TRB Male Plug TRB Male Plug Twinaxial
RCA-11-36 RCA-11-36 Remington Industries 0.0000
RFQ

Min: 1

Mult: 1

0.00000000 download Active 1 (Unlimited) Male to Male RoHS Compliant 78Ohms -55°C~165°C Shielded TRS to TRS TRS Male Plug TRS Male Plug Twinaxial
1064559-1 1064559-1 TE Connectivity AMP Connectors 0.0000
RFQ

Min: 1

Mult: 1

0.00000000 download 20 Weeks 2007 Active 1 (Unlimited) Plug Blue Female to Male Compliant 7.874 200.00mm RoHS Compliant Copper Gold SMA 6GHz 50Ohm -40°C~125°C 1GOhm FEP Shielded SMA to SSMT Coaxial 1.3208 mm Copper, Steel PTFE SSMT Female Jack, Right Angle SMA Male Plug 1.30mm OD Coaxial Cable
RCA-10-144 RCA-10-144 Remington Industries 0.0000
RFQ

Min: 1

Mult: 1

0.00000000 download Active 1 (Unlimited) Male to Male 144.0 3.7m 12.0' RoHS Compliant 78Ohms -55°C~165°C Shielded TRB to TRB TRB Male Plug TRB Male Plug Twinaxial
RCA-11-300 RCA-11-300 Remington Industries 0.0000
RFQ

Min: 1

Mult: 1

0.00000000 download Active 1 (Unlimited) Male to Male 300.0 7.6m 25.0' RoHS Compliant 78Ohms -55°C~165°C Shielded TRS to TRS TRS Male Plug TRS Male Plug Twinaxial
CBA-SMAMR-SMAF CBA-SMAMR-SMAF RF Solutions 0.0000
RFQ

Min: 1

Mult: 1

0.00000000 download 12 Weeks 2014 Active Not Applicable Black Female to Male 7.874 200.00mm RoHS Compliant SMA 50Ohm Plug, SMA SMA to SMA SMA Female Jack SMA Male Plug, Right Angle RG-174
CABLE 162 RF-150-A-1 CABLE 162 RF-150-A-1 GradConn 0.0000
RFQ

Min: 1

Mult: 1

0.00000000 download 9 Weeks Nautilus Active 1 (Unlimited) Brown Female to Female 5.906 150.00mm RoHS Compliant -40°C~90°C IP67/68 - Dust Tight, Waterproof U.FL (UMCC), IPEX to SMA 3GHz SMA Female Jack U.FL (UMCC), IPEX Plug, Female Socket, Right Angle RG-178
CABLE 329 RF-100-A CABLE 329 RF-100-A GradConn 0.0000
RFQ

Min: 1

Mult: 1

0.00000000 download 9 Weeks Nautilus Active 1 (Unlimited) Brown Female to Female 3.937 100.00mm RoHS Compliant -40°C~90°C IP67/68 - Dust Tight, Waterproof U.FL (UMCC), IPEX to N-Type 6GHz N Female Jack U.FL (UMCC), IPEX Plug, Female Socket, Right Angle RG-178
CABLE 272 RF-0100-A-1 CABLE 272 RF-0100-A-1 GradConn 0.0000
RFQ

Min: 1

Mult: 1

0.00000000 download 9 Weeks Nautilus Active 1 (Unlimited) Black Female to Female 3.937 100.00mm RoHS Compliant -20°C~80°C IP67/68 - Dust Tight, Waterproof U.FL (UMCC), IPEX to BNC 3GHz BNC Female Jack U.FL (UMCC), IPEX Plug, Female Socket, Right Angle RG-174
W9011 W9011 PulseLarsen Antennas 0.0000
RFQ

Min: 1

Mult: 1

0.00000000 7 Weeks 2011 yes Active 1 (Unlimited) EAR99 Black Female to Male 11.000 279.40mm ROHS3 Compliant AEINC826 SMA -40°C~85°C U.FL (UMCC) to RP-SMA RP-SMA Female Jack, Male Pin U.FL (UMCC) Plug, Female Socket, Right Angle 1.13mm OD Coaxial Cable
W9003M W9003M PulseLarsen Antennas 0.0000
RFQ

Min: 1

Mult: 1

0.00000000 7 Weeks 2011 Active 1 (Unlimited) EAR99 Black Female to Female 3.000 76.20mm ROHS3 Compliant AEINC826 -40°C~85°C U.FL (UMCC) to SMA SMA Female Jack U.FL (UMCC) Plug, Female Socket, Right Angle 1.13mm OD Coaxial Cable
W9017BD0100 W9017BD0100 PulseLarsen Antennas 0.0000
RFQ

Min: 1

Mult: 1

0.00000000 4 Weeks Active 1 (Unlimited) Black Female to Female 3.937 100.00mm ROHS3 Compliant 50Ohm -40°C~85°C SMA to IPEX MHF4 CABLE ASSEMBLY 7.1GHz SMA Female Jack IPEX MHF4 Plug, Female Socket, Right Angle 0.81mm OD Coaxial Cable
W9009 W9009 PulseLarsen Antennas 0.0000
RFQ

Min: 1

Mult: 1

0.00000000 download 2011 Active 1 (Unlimited) EAR99 Black Female to Male 9.000 228.60mm ROHS3 Compliant AEINC826 SMA unknown -40°C~85°C U.FL (UMCC) to RP-SMA RP-SMA Female Jack, Male Pin U.FL (UMCC) Plug, Female Socket, Right Angle 1.13mm OD Coaxial Cable
W9017BD0200 W9017BD0200 PulseLarsen Antennas 0.0000
RFQ

Min: 1

Mult: 1

0.00000000 4 Weeks Active 1 (Unlimited) Black Female to Female 7.874 200.00mm ROHS3 Compliant 50Ohm -40°C~85°C SMA to IPEX MHF4 CABLE ASSEMBLY 7.1GHz SMA Female Jack IPEX MHF4 Plug, Female Socket, Right Angle 0.81mm OD Coaxial Cable
W9015 W9015 PulseLarsen Antennas 0.0000
RFQ

Min: 1

Mult: 1

0.00000000 download 7 Weeks 2011 Active 1 (Unlimited) Black Female to Male 15.00 381.00mm ROHS3 Compliant AEINC826 -40°C~85°C U.FL (UMCC) to RP-SMA RP-SMA Female Jack, Male Pin U.FL (UMCC) Plug, Female Socket, Right Angle 1.13mm OD Coaxial Cable
W9011M W9011M PulseLarsen Antennas 0.0000
RFQ

Min: 1

Mult: 1

0.00000000 7 Weeks Active 1 (Unlimited) EAR99 Black Female to Female 11.000 279.40mm ROHS3 Compliant AEINC826 -40°C~85°C U.FL (UMCC) to SMA SMA Female Jack U.FL (UMCC) Plug, Female Socket, Right Angle 1.13mm OD Coaxial Cable
CARSMA-MMCX-10 CARSMA-MMCX-10 Multi-Tech Systems Inc. 0.0000
RFQ

Min: 1

Mult: 1

0.00000000 download 8 Weeks 2011 Obsolete 1 (Unlimited) Gray Male to Male 6.000 152.40mm ROHS3 Compliant SMA Reverse RP-SMA to MMCX RP-SMA Female Jack, Male Pin MMCX Male Plug, Right Angle Male Female
CARSMA-MMCX-1 CARSMA-MMCX-1 Multi-Tech Systems Inc. 0.0000
RFQ

Min: 1

Mult: 1

0.00000000 download 8 Weeks 2013 Obsolete 1 (Unlimited) Gray Male to Male 6.000 152.40mm RoHS Compliant Lead Free SMA RP-SMA to MMCX RP-SMA Female Jack, Male Pin MMCX Male Plug, Right Angle
R285020212 R285020212 Radiall 0.0000
RFQ

Min: 1

Mult: 1

0.00000000
0300750802000GX 0300750802000GX Radiall 0.0000
RFQ

Min: 1

Mult: 1

0.00000000
R285020301 R285020301 Radiall 0.0000
RFQ

Min: 1

Mult: 1

0.00000000
R285020202 R285020202 Radiall 0.0000
RFQ

Min: 1

Mult: 1

0.00000000
R285001021 R285001021 Radiall 0.0000
RFQ

Min: 1

Mult: 1

0.00000000
Settings Need Help?
Top FAQ's

How can I quickly find answers to my questions?

Please visit the Help & Support area of our website to find information regarding ordering, shipping, delivery and more.

What is my Order Status?

Registered users can track orders from their account dropdown, or click here. *Order Status may take 12 hours to update after initial order is placed.

How do I return product?

Users can begin the returns process by starting with our Returns Page.

How do I find price and availability?

Quotes can be created by registered users in myLists.

How do I create a 'HK JDW' Account?

Visit the Registration Page and enter the required information. You will receive an email confirmation when your registration is complete.

United Kingdom/GBP Summary
Fast Shipping Fast Delivery

Orders are typically delivered to United Kingdom within 48 hours depending on location.

Free Shipping Free Shipping

Free delivery to United Kingdom on orders of £33 or more. A delivery charge of £12 will be billed on all orders less than £33.

Incoterms Incoterms

DDP (Duty and customs paid by HK JDW)

Payment Options Payment Types

Credit account for qualified institutions and businesses

Payment in Advance by Wire Transfer

Visa Mastercard American Express PayPal Apple Pay Google Pay

Marketplace Marketplace Product

More Products From Fully Authorized Partners

Average Time to Ship 1-3 Days, extra ship charges may apply. Please see product page, cart, and checkout for actual ship speed.

Incoterms: CPT (Duty, customs, and applicable VAT/Tax due at time of delivery)

For more information visit Help & Support